This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### getStringColumn()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("name");
      table.addColumn("type");

      TableRow newRow = table.addRow();
      newRow.setString("name", "Lion");
      newRow.setString("type", "Mammal");

      newRow = table.addRow();
      newRow.setString("name", "Snake");
      newRow.setString("type", "Reptile");

      newRow = table.addRow();
      newRow.setString("name", "Mosquito");
      newRow.setString("type", "Insect");

      println(table.getStringColumn("name"));
    }

    // Sketch prints:
    // [0] "Lion"
    // [1] "Snake"
    // [2] "Mosquito"
Description | Retrieves all values in the specified column, and returns them as a String array. The column may be specified by either its ID or title.
Syntax |
    .getStringColumn(columnName)
    .getStringColumn(column)
Parameters |
columnName | String: title of the column to search
column | int: ID number of the column to search
Returns | String[]
Related | getInt() getFloat() getString() setInt() setFloat() setString()

Updated on October 26, 2013 08:58:34pm PDT